Bug 477761 - kdeplasma-addons package got uninstalled
Summary: kdeplasma-addons package got uninstalled
Status: RESOLVED FIXED
Alias: None
Product: neon
Classification: KDE Neon
Component: Packages User Edition (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Neon Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-11-30 10:41 UTC by Geoffrey Clements
Modified: 2023-12-20 17:55 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Geoffrey Clements 2023-11-30 10:41:49 UTC
SUMMARY
A recent update took away most of the wallpaper options under "Configure Desktop and Wallpaper". The only ones left are Image, Slideshow and Plain colour.

At the same time the comics widget disappeared so is possibly related.

SOFTWARE/OS VERSIONS
Operating System: KDE neon 5.27
KDE Plasma Version: 5.27.9
KDE Frameworks Version: 5.112.0
Qt Version: 5.15.11
Kernel Version: 6.2.0-37-generic (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7-6700K CPU @ 4.00GHz
Memory: 15.6 GiB of RAM
Graphics Processor: NVIDIA GeForce GTX 1050 Ti/PCIe/SSE2
ADDITIONAL INFORMATION
Comment 1 Nate Graham 2023-11-30 16:58:50 UTC
This means the kdeplasma-addons package got uninstalled. You'll need to reinstall it. Moving to Neon as this is a packaging issor or a local misconfiguration.
Comment 2 Geoffrey Clements 2023-11-30 17:52:28 UTC
(In reply to Nate Graham from comment #1)
> This means the kdeplasma-addons package got uninstalled. You'll need to
> reinstall it. Moving to Neon as this is a packaging issor or a local
> misconfiguration.

Ahh, ok, thanks for that.

Looks like the addons package was dropped altogether:

$ apt search kdeplasma-addons
Sorting... Done
Full Text Search... Done
kdeplasma-addons-data/jammy,jammy,now 4:5.27.9-0xneon+22.04+jammy+release+build25 all [installed,automatic]
  locale files for kdeplasma-addons
Comment 3 Carlos De Maine 2023-12-15 20:57:21 UTC
(In reply to Geoffrey Clements from comment #2)
> (In reply to Nate Graham from comment #1)
> > This means the kdeplasma-addons package got uninstalled. You'll need to
> > reinstall it. Moving to Neon as this is a packaging issor or a local
> > misconfiguration.
> 
> Ahh, ok, thanks for that.
> 
> Looks like the addons package was dropped altogether:
> 
> $ apt search kdeplasma-addons
> Sorting... Done
> Full Text Search... Done
> kdeplasma-addons-data/jammy,jammy,now
> 4:5.27.9-0xneon+22.04+jammy+release+build25 all [installed,automatic]
>   locale files for kdeplasma-addons

you are looking for plasma-wallpapers-addons
Comment 4 Nate Graham 2023-12-15 21:04:45 UTC
What happened to kdeplasma-addons, though? The extra wallpaper plugins are supposed to live there.
Comment 5 Geoffrey Clements 2023-12-15 23:00:59 UTC
(In reply to Carlos De Maine from comment #3)
> you are looking for plasma-wallpapers-addons

Just in case anyone else is helped by this, I needed to install plasma-widgets-addons and plasma-wallpapers-addons.

It's not a big deal, but I don't think kdeplasma-addons was dropped intentionally, hence this bug.
Comment 6 Carlos De Maine 2023-12-16 00:01:43 UTC
(In reply to Nate Graham from comment #4)
> What happened to kdeplasma-addons, though? The extra wallpaper plugins are
> supposed to live there.

debian based distros split it into plasma-calender-addons, plasma-dataengine-addons, plasma-runners-addons, plasma-wallpapers-addons, plasma-widgets-addons & kwin-addons.  probably makes sense to have a plasma-addons metapackage for them all to rely on.
Comment 8 Nate Graham 2023-12-20 17:55:24 UTC
So Debian split the package, and Ubuntu inherited that split from Debian, and then Neon inherited it from Ubuntu? Is that right?

Can we make sure that all the individual packages are still pre-installed in all Neon editions?